> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Creation Detail

> You need to call the Get Creation Status API to check the status of the creation first. If the status is 'succeed', you can then call this API to retrieve the details of the creation.



## OpenAPI

````yaml GET /v1/creation/{creation_id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.haiper.ai
security:
  - bearerAuth: []
paths:
  /v1/creation/{creation_id}:
    get:
      description: >-
        You need to call the Get Creation Status API to check the status of the
        creation first. If the status is 'succeed', you can then call this API
        to retrieve the details of the creation.
      parameters:
        - name: creation_id
          in: path
          required: true
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreationDetail'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreationDetail:
      required:
        - status
      type: object
      properties:
        status:
          description: ''
          type: string
        value:
          description: ''
          type: object
          properties:
            creation_id:
              description: ''
              type: string
            user_id:
              description: ''
              type: string
            username:
              description: ''
              type: string
            avatar:
              description: ''
              type: string
            type:
              description: ''
              type: string
            input_type:
              description: ''
              type: string
            prompt:
              description: ''
              type: string
            negative_prompt:
              description: ''
              type: string
            create_time:
              description: ''
              type: string
            update_time:
              description: ''
              type: string
            status:
              description: ''
              type: string
            video_url:
              description: ''
              type: string
            thumbnail_url:
              description: ''
              type: string
            settings:
              description: ''
              type: object
              properties:
                fps:
                  description: ''
                  type: number
                width:
                  description: ''
                  type: number
                height:
                  description: ''
                  type: number
            commits:
              description: ''
              type: object
              properties:
                like_count:
                  description: ''
                  type: number
                is_like:
                  description: ''
                  type: boolean
                collects_count:
                  description: ''
                  type: number
                is_collect:
                  description: ''
                  type: boolean
            output_type:
              description: ''
              type: string
            outputs:
              description: ''
              type: array
              items:
                description: ''
                type: object
                properties:
                  id:
                    description: ''
                    type: string
                  media_url:
                    description: ''
                    type: string
                  thumbnail_url:
                    description: ''
                    type: string
    Error:
      required:
        - error
      type: object
      properties:
        message:
          type: string
        code:
          type: integer
          format: int32
        details:
          type: array
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````